/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.MotivoDevolucaoBilhete;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Bruno Neves
 */
public class RenderMotivoDevolucaoBilhete implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        MotivoDevolucaoBilhete motivoDevolucaoBilhete = (MotivoDevolucaoBilhete) o;

        Listcell lc = new Listcell(motivoDevolucaoBilhete.getMotivodevolucaobilheteId().toString());
        lc.setParent(lstm);

        lc = new Listcell(motivoDevolucaoBilhete.getDescmotivo());
        lc.setParent(lstm);

        lstm.setAttribute("data", motivoDevolucaoBilhete);
    }
}
